package core;

import core.repositories.UserRepository;
import core.security.jwt.AuthEntryPointJWT;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class FirstUserObserver extends Thread {

    private final UserRepository userRepository;
    private final Logger logger = LoggerFactory.getLogger(FirstUserObserver.class);

    public FirstUserObserver(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    public void run() {
        if(userRepository.countUsers() != 0) {
            logger.info("Since there is already a user, skip oberserving!");
            return;
        }
        try {
            sleep(5*60*1000);
            if(userRepository.countUsers() == 0) {
                logger.warn("No User yet registrated! Shut down Server!");
                System.exit(0);
            }
            logger.info("Stop User-Oberserving since there is at least one user!");
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
