package core.services;

public class PermissionResult <T> extends ServiceResult<T> {

    private boolean hasPermissions;
    public PermissionResult(ServiceExitCode exitCode, T result) {
        super(exitCode, result);
    }

    public PermissionResult(T result) {
        super(result);
    }

    public PermissionResult(ServiceExitCode exitCode) {
        super(exitCode);
    }

    public PermissionResult(ServiceExitCode exitCode, T result, boolean hasPermissions) {
        super(exitCode, result);
        this.hasPermissions = hasPermissions;
    }

    public PermissionResult(T result, boolean hasPermissions) {
        super(result);
        this.hasPermissions = hasPermissions;
    }

    public PermissionResult(ServiceExitCode exitCode, boolean hasPermissions) {
        super(exitCode);
        this.hasPermissions = hasPermissions;
    }

    public boolean isHasPermissions() {
        return hasPermissions;
    }

    public void setHasPermissions(boolean hasPermissions) {
        this.hasPermissions = hasPermissions;
    }
}
